Loading...
Searching...
No Matches
SimpleH2O.hpp File Reference

A simple version of pure water. More...

`#include "Component.hpp"`
`#include <opm/material/IdealGas.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <cmath>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::SimpleH2O< Scalar >
| A simple version of pure water. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar>
const Scalar | Opm::SimpleH2O< Scalar >::R = Constants<Scalar>::R / 18e-3

## Detailed Description

A simple version of pure water.

Compared to the water formulation of IAPWS'97, this class provides a much simpler component that represents the thermodynamic properties of of pure water. This implies that the likelyhood for bugs in this class is reduced and the numerical performance is increased. (At the cost of accuracy for the representation of the physical quantities, of course.)

Template Parameters

  Scalar | The type used for representing scalar values